Notifications
GET/api/v1/notifications
List notifications
Mastodon compatible User token Scope read
Query parameters
limitintegermax_idstringmin_idstringsince_idstringtypes[]array of stringsReturns
curl "https://pixelfed.social/api/v1/notifications?limit=20&types[]=mention" \
-H "Accept: application/json" \
-H "Authorization: Bearer $TOKEN"Response
[{
"id": "728362240911486976",
"type": "favourite",
"created_at": "2026-09-14T19:03:15.000Z",
"account": {
"id": "412760184563377",
"username": "jonas",
"acct": "jonas",
"display_name": "Jonas",
"locked": false,
"bot": false,
"discoverable": true,
"followers_count": 88,
"following_count": 140,
"statuses_count": 37,
"note": "",
"url": "https://pixelfed.social/jonas",
"avatar": "https://pixelfed.social/storage/avatars/412/760/377/avatar.jpg",
"avatar_static": "https://pixelfed.social/storage/avatars/412/760/377/avatar.jpg",
"header": "https://pixelfed.social/storage/headers/missing.png",
"header_static": "https://pixelfed.social/storage/headers/missing.png",
"emojis": [],
"fields": [],
"created_at": "2025-01-19T10:12:40.000Z",
"last_status_at": null
},
"status": {
"id": "728341901556629504",
"created_at": "2026-09-14T17:42:10.000Z",
"url": "https://pixelfed.social/p/dansup/728341901556629504",
"content": "Golden hour at the pier",
"visibility": "public",
"favourited": false,
"reblogged": false,
"bookmarked": false,
"favourites_count": 13,
"reblogs_count": 1,
"replies_count": 2,
"media_attachments": [{
"id": "728341067224219648",
"type": "image",
"url": "https://pixelfed.social/storage/m/_v2/2/pier.jpg"
}],
"account": {
"id": "2",
"username": "dansup",
"acct": "dansup"
}
}
}, {
"id": "728360119354368000",
"type": "follow",
"created_at": "2026-09-14T18:54:49.000Z",
"account": {
"id": "412760184563377",
"username": "jonas",
"acct": "jonas",
"display_name": "Jonas",
"url": "https://pixelfed.social/jonas"
}
}]